Bug 22192 - loop mounting gives ioctl: LOOP_SET_FD: Invalid argument
loop mounting gives ioctl: LOOP_SET_FD: Invalid argument
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-12 18:53 EST by klaus thorn
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-12 18:53:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description klaus thorn 2000-12-12 18:53:13 EST
When I mount using the loop option of mount:

[root@moebius rh70img_reiser]# mount -tiso9660 -o loop -oro \
7.0-Reiser-i386-disc1.iso /mnt/loop 

I get :

ioctl: LOOP_SET_FD: Invalid argument

in an other bugzilla-report there was given advice to do:

mount -tiso9660 -oro 7.0-Reiser-i386-disc1.iso /mnt/loop

this gives me: mount: 7.0-Reiser-i386-disc1.iso is not a block device
(maybe try `-o loop'?)

.. I tried it with many images, all working as soon as burned on a cdrom

I use an Athlon system with red hat 7.0, updating with all (10th Dez.2000)
available update-packages did not change the problem.

A friend of mine said that he has the same problem (red hat 7.0 without
updates, older hardware)
Comment 1 Karsten Hopp 2000-12-15 09:16:06 EST
I asked Mr. Thorn in a separate email and he confirmed that the
ISO-file was on nfs-mounted partition.

Note You need to log in before you can comment on or make changes to this bug.